#pragma once

#include <Server.h>
#include <Thread.h>

using namespace Framework;
using namespace Network;

class ESEditorV : public virtual ReferenceCounter
{
private:

public:
    virtual ~ESEditorV()
    {}
    // nicht constant
    virtual void setPfad( char *pfad ) = 0;
    virtual void open() = 0;
    virtual bool nachricht( SKlient *k ) = 0;
    // constant
    virtual char *getLetzterFehler() const = 0;
};